Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Community Member

UCP 4.0 with ACS 4.0 script and authorization error

Hello,

I have upgraded ACS from release 3.2(1) to ACS 4.0. The upgrade process was succesfull , the user and database configuration was preserved as espected.

After that I have tried to upgrade User Changeable Passwords to 4.0 according to the instructions in installation guide for UCP 4.0, but the following error occured:

"CGI Error

The specified CGI application misbehaved by not returning a complete set of HTTP headers. The headers it did return are:"

I am running Windows 2000 Server with SP4, IIS 5.0.

For virtual directory, I have tried to add "exe" as MIME type. After this try, the cgi-script(actually the exe) runs without error, but now I cannot authorize with my(admin) username and password.

In ACS web page I can login.

Does anyone have any ideas what may be workaround for this issue?

Thanks in advance,

Alex

P.S. The ACS 4.0 and UCP 4.0 are on the same machine.

1 REPLY
Silver

Re: UCP 4.0 with ACS 4.0 script and authorization error

The issue may be due to the following symptoms.

The Post Authorization Status = ERROR message means that the security server has not responded to an authentication query.

The Post Authorization Status = FAIL message means that the user has not met the criteria contained in the applicable authentication database to be successfully authenticated.

To resolve these problems, first review what AAA is, and how it is used. Then verify that the Cisco router and security server have been properly configured.

123
Views
0
Helpful
1
Replies
CreatePlease to create content